package vip.xiaonuo.sale.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.sale.entity.SaleTarget;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.sale.entity.vo.SaleTargetDetailVo;
import vip.xiaonuo.sale.entity.vo.SaleTargetVo;
import vip.xiaonuo.sale.param.SaleCustomerParam;
import vip.xiaonuo.sale.param.SaleDetailPageParam;
import vip.xiaonuo.sale.param.SaleParam;

import java.util.List;

/**
 * <p>
 * 销售指标 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface ISaleTargetService extends IService<SaleTarget> {

    JSONArray getTarget(SaleParam saleParam);

    //大屏指标
    SaleTargetVo getTargetScreen(SaleParam saleParam);

    //销售计划完成率详情
    List<SaleTargetDetailVo> getCompleteDetail(SaleParam saleParam);

    //大屏客户拜访次数详情
    List<SaleTargetDetailVo> getVisitNumDetail(SaleParam saleParam);

    //大屏销售合同金额详情
    List<SaleTargetDetailVo> getSaleMoneyDetail(SaleParam saleParam);

    //大屏客户拜访top10，包含全部
    Page<SaleTarget> listTop(SaleDetailPageParam customerParam);
}
